aboutsummaryrefslogtreecommitdiff
path: root/shell/hush_test
diff options
context:
space:
mode:
Diffstat (limited to 'shell/hush_test')
-rw-r--r--shell/hush_test/hush-parsing/noeol.right1
-rw-r--r--shell/hush_test/hush-parsing/noeol.tests2
-rw-r--r--shell/hush_test/hush-vars/var.right4
-rw-r--r--shell/hush_test/hush-vars/var.tests10
-rw-r--r--shell/hush_test/run-all59
5 files changed, 0 insertions, 76 deletions
diff --git a/shell/hush_test/hush-parsing/noeol.right b/shell/hush_test/hush-parsing/noeol.right
deleted file mode 100644
index e427984d4..000000000
--- a/shell/hush_test/hush-parsing/noeol.right
+++ /dev/null
@@ -1 +0,0 @@
-HELLO
diff --git a/shell/hush_test/hush-parsing/noeol.tests b/shell/hush_test/hush-parsing/noeol.tests
deleted file mode 100644
index a93113a03..000000000
--- a/shell/hush_test/hush-parsing/noeol.tests
+++ /dev/null
@@ -1,2 +0,0 @@
-# next line has no EOL!
-echo HELLO \ No newline at end of file
diff --git a/shell/hush_test/hush-vars/var.right b/shell/hush_test/hush-vars/var.right
deleted file mode 100644
index c13b98e38..000000000
--- a/shell/hush_test/hush-vars/var.right
+++ /dev/null
@@ -1,4 +0,0 @@
-http://busybox.net
-http://busybox.net_abc
-1
-0
diff --git a/shell/hush_test/hush-vars/var.tests b/shell/hush_test/hush-vars/var.tests
deleted file mode 100644
index b0637ea6b..000000000
--- a/shell/hush_test/hush-vars/var.tests
+++ /dev/null
@@ -1,10 +0,0 @@
-URL=http://busybox.net
-
-echo $URL
-echo ${URL}_abc
-
-true
-false; echo $?
-true
-# BUG: prints 0, must be 1
-{ false; echo $?; }
diff --git a/shell/hush_test/run-all b/shell/hush_test/run-all
deleted file mode 100644
index 2c2bac6d2..000000000
--- a/shell/hush_test/run-all
+++ /dev/null
@@ -1,59 +0,0 @@
-#!/bin/sh
-
-test -x hush || { echo "No ./hush?!"; exit; }
-
-PATH="$PWD:$PATH" # for hush and recho/zecho/printenv
-export PATH
-
-THIS_SH="$PWD/hush"
-export THIS_SH
-
-do_test()
-{
- test -d "$1" || return 0
- (
- cd "$1" || { echo "cannot cd $1!"; exit 1; }
- for x in run-*; do
- test -f "$x" || continue
- case "$x" in
- "$0"|run-minimal|run-gprof) ;;
- *.orig|*~) ;;
- #*) echo $x ; sh $x ;;
- *)
- sh "$x" >"../$1-$x.fail" 2>&1 && \
- { echo "$1/$x: ok"; rm "../$1-$x.fail"; } || echo "$1/$x: fail";
- ;;
- esac
- done
- # Many bash run-XXX scripts just do this,
- # no point in duplication it all over the place
- for x in *.tests; do
- test -x "$x" || continue
- name="${x%%.tests}"
- test -f "$name.right" || continue
- {
- "$THIS_SH" "./$x" >"$name.xx" 2>&1
- diff -u "$name.xx" "$name.right" >"../$1-$x.fail" && rm -f "$name.xx" "../$1-$x.fail"
- } && echo "$1/$x: ok" || echo "$1/$x: fail"
- done
- )
-}
-
-# main part of this script
-# Usage: run-all [directories]
-
-if [ $# -lt 1 ]; then
- # All sub directories
- modules=`ls -d hush-*`
-
- for module in $modules; do
- do_test $module
- done
-else
- while [ $# -ge 1 ]; do
- if [ -d $1 ]; then
- do_test $1
- fi
- shift
- done
-fi